diff --git a/isisd/isis_route.c b/isisd/isis_route.c
index 3fa2fc823ca0..d54c68a4e324 100644
--- a/isisd/isis_route.c
+++ b/isisd/isis_route.c
@@ -733,6 +733,9 @@ static void _isis_route_verify_table(struct isis_area *area,
 		 * delete node from level tables as well before deleting
 		 * route info. */
 		for (int level = ISIS_LEVEL1; level <= ISIS_LEVEL2; level++) {
+			if (!tables[level - 1])
+				continue;
+
 			drnode = srcdest_rnode_lookup(tables[level - 1],
 						      dst_p, src_p);
 			if (!drnode)
